Subject: Re: linux-next: build failure after merge of the tip tree

From: Jiri Olsa <[email-masked]>
Date: Wed, 16 Sep 2015 08:16:52 +0200

On Wed, Sep 16, 2015 at 10:12:45AM +1000, Stephen Rothwell wrote:
> Hi all,
> 
> After merging the tip tree, today's linux-next build (perf) failed
> like this:
> 
> make[3]: *** No rule to make target 'tools/lib/api/fs/debugfs.h', needed by 'tools/perf/arch/common.o'.  Stop.
> tools/build/Makefile.build:109: recipe for target 'arch' failed
> make[4]: *** No rule to make target 'fs/debugfs.h', needed by 'tools/perf/fs/fs.o'.  Stop.
> tools/build/Makefile.build:109: recipe for target 'fs' failed
> make[3]: *** No rule to make target 'tools/lib/api/fs/debugfs.h', needed by 'tools/perf/util/abspath.o'.  Stop.
> tools/build/Makefile.build:109: recipe for target 'util' failed
> Makefile:32: recipe for target 'tools/perf/libapi-in.o' failed
> Makefile.perf:417: recipe for target 'tools/perf/libapi.a' failed
> Makefile.perf:393: recipe for target 'tools/perf/libperf-in.o' failed
> Makefile:68: recipe for target 'all' failed
> 
> Maybe caused by commit
> 
>   60a1133a5b39 ("tools lib api fs: Remove debugfs, tracefs and findfs objects")
> 
> This is an incremental build i.e. I do not do a "make clean" after doing
> the build for each tree merge (in case that matters).

it does in this case, removed header files stay in
cmd build dependency file (like in .abspath.o.cmd above)
and cause build error

build system is not smart enough yet to find out,
I was postponning fixing this for some time now,
I'll try to get this resolved asap

> 
> I have used the tip tree from next-20150915 for today.
> 
> Also, building perf seems to ignore O=<dir> on the make invocation.
> Is that expected?

hum, not sure about this one.. I'm not using it, but we have
tests for this and I thought we're ok.. I'll check

jirka